## anytun 0.3.6

=== doc/Makefile ===
##
##  anytun
##
##  The secure anycast tunneling protocol (satp) defines a protocol used
##  for communication between any combination of unicast and anycast
##  tunnel endpoints.  It has less protocol overhead than IPSec in Tunnel
##  mode and allows tunneling of every ETHER TYPE protocol (e.g.
##  ethernet, ip, arp ...). satp directly includes cryptography and
##  message authentication based on the methods used by SRTP.  It is
##  intended to deliver a generic, scaleable and secure solution for
##  tunneling and relaying of packets of any protocol.
##
##
##  Copyright (C) 2007-2014 Markus Grüneis, Othmar Gsenger, Erwin Nindl,
##                          Christian Pointner <satp@wirdorange.org>
##
##  This file is part of Anytun.
##
##  Anytun is free software: you can redistribute it and/or modify
##  it under the terms of the GNU General Public License as published by
##  the Free Software Foundation, either version 3 of the License, or
##  any later version.
##
##  Anytun is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with Anytun.  If not, see <http://www.gnu.org/licenses/>.
##
##  In addition, as a special exception, the copyright holders give
##  permission to link the code of portions of this program with the
##  OpenSSL library under certain conditions as described in each
##  individual source file, and distribute linked combinations
##  including the two.
##  You must obey the GNU General Public License in all respects
##  for all of the code used other than OpenSSL.  If you modify
##  file(s) with this exception, you may extend this exception to your
##  version of the file(s), but you are not obligated to do so.  If you
##  do not wish to do so, delete this exception statement from your
##  version.  If you delete this exception statement from all source
##  files in the program, then also delete it here.
##

VERSION=$(shell cat ../version)

MANPAGES := anytun.8 anytun-controld.8 anytun-config.8 anytun-showtables.8 #anyrtpproxy.8
XML := $(MANPAGES:%.8=%.8.xml)

.PHONY: clean realclean

all: manpage

define create-manpage
	a2x -f manpage $(1)
	@ sed -i -e 's/\[FIXME: source\]/anytun ${VERSION}/' $(2)
	@ sed -i -e 's/\[FIXME: manual\]/$(2:.8=) user manual/' $(2)
	@ sed -i -e 's/^\($(subst -,\\-,$(2:.8=))\)$$/\\fB\1\\fR/' $(2)
	@ sed -i -e 's/^  \[ \([^ ]*\)/  [ \\fB\1\\fR/' $(2)
endef

%.8: %.8.txt
	$(call create-manpage,$<,$@)

manpage: $(MANPAGES)

clean:
	rm -f $(XML)

realclean:
	rm -f $(MANPAGES)

=== src/Makefile ===
##
##  anytun
##
##  The secure anycast tunneling protocol (satp) defines a protocol used
##  for communication between any combination of unicast and anycast
##  tunnel endpoints.  It has less protocol overhead than IPSec in Tunnel
##  mode and allows tunneling of every ETHER TYPE protocol (e.g.
##  ethernet, ip, arp ...). satp directly includes cryptography and
##  message authentication based on the methods used by SRTP.  It is
##  intended to deliver a generic, scaleable and secure solution for
##  tunneling and relaying of packets of any protocol.
##
##
##  Copyright (C) 2007-2014 Markus Grüneis, Othmar Gsenger, Erwin Nindl,
##                          Christian Pointner <satp@wirdorange.org>
##
##  This file is part of Anytun.
##
##  Anytun is free software: you can redistribute it and/or modify
##  it under the terms of the GNU General Public License as published by
##  the Free Software Foundation, either version 3 of the License, or
##  any later version.
##
##  Anytun is distributed in the hope that it will be useful,
##  but WITHOUT ANY WARRANTY; without even the implied warranty of
##  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##  GNU General Public License for more details.
##
##  You should have received a copy of the GNU General Public License
##  along with Anytun.  If not, see <http://www.gnu.org/licenses/>.
##
##  In addition, as a special exception, the copyright holders give
##  permission to link the code of portions of this program with the
##  OpenSSL library under certain conditions as described in each
##  individual source file, and distribute linked combinations
##  including the two.
##  You must obey the GNU General Public License in all respects
##  for all of the code used other than OpenSSL.  If you modify
##  file(s) with this exception, you may extend this exception to your
##  version of the file(s), but you are not obligated to do so.  If you
##  do not wish to do so, delete this exception statement from your
##  version.  If you delete this exception statement from all source
##  files in the program, then also delete it here.
##

ifneq ($(MAKECMDGOALS),distclean)
include include.mk
endif

ANYTUNOBJS := packetSource.o \
              authAlgo.o \
              authAlgoFactory.o \
              cipher.o \
              cipherFactory.o \
              plainPacket.o \
              encryptedPacket.o \
              options.o \
              signalController.o \
              sysExec.o \
              resolver.o \
              buffer.o \
              syncBuffer.o \
              keyDerivation.o \
              keyDerivationFactory.o \
              connectionList.o \
              connectionParam.o \
              networkAddress.o \
              networkPrefix.o \
              routingTable.o \
              routingTreeNode.o \
              log.o \
              logTargets.o \
              anytunError.o \
              seqWindow.o

ifneq ($(TARGET),mingw)
ANYTUNOBJS := $(ANYTUNOBJS) \
              tunDevice.o \
              daemonService.o
else
ANYTUNOBJS := $(ANYTUNOBJS) \
              win32/tunDevice.o \
              nullDaemon.o \
              win32/winService.o \
              win32/registryKey.o
endif


ANYSHOWOBJS := buffer.o \
               syncBuffer.o \
               keyDerivation.o \
               keyDerivationFactory.o \
               connectionList.o \
               connectionParam.o \
               networkAddress.o \
               networkPrefix.o \
               routingTable.o \
               routingTreeNode.o \
               log.o \
               logTargets.o \
               anytunError.o \
               seqWindow.o \
               nullOptions.o \
               resolver.o


SYNCOBJS := syncServer.o \
            syncClient.o \
            syncQueue.o \
            syncCommand.o \
            syncRouteCommand.o \
            syncConnectionCommand.o \
            syncTcpConnection.o


ANYCTROBJS := signalController.o \
              anyCtrOptions.o \
              buffer.o \
              log.o \
              logTargets.o \
              anytunError.o \
              syncTcpConnection.o \
              syncServer.o \
              resolver.o

ifneq ($(TARGET),mingw)
ANYCTROBJS := $(ANYCTROBJS) \
              daemonService.o
else
ANYCTROBJS := $(ANYCTROBJS) \
              nullDaemon.o
endif


ANYCONFOBJS := log.o \
               logTargets.o \
               anytunError.o \
               buffer.o \
               keyDerivation.o \
               keyDerivationFactory.o \
               networkAddress.o \
               networkPrefix.o \
               connectionList.o \
               connectionParam.o \
               routingTreeNode.o \
               anyConfOptions.o \
               routingTable.o \
               seqWindow.o \
               syncQueue.o \
               syncBuffer.o \
               syncCommand.o \
               syncServer.o \
               syncTcpConnection.o \
               syncRouteCommand.o \
               syncConnectionCommand.o \
               resolver.o

ifneq ($(TARGET),mingw)
  EXE :=
else
  EXE := .exe
endif

EXECUTABLES := anytun$(EXE) anytun-config$(EXE) anytun-controld$(EXE) anytun-showtables$(EXE) anytun-nosync$(EXE)
EXEOBJS := anytun.o anytun-config.o anytun-controld.o anytun-showtables.o

ANYTUNSRCS := $(ANYTUNOBJS:%.o=%.cpp)
ANYSHOWSRCS := $(ANYSHOWOBJS:%.o=%.cpp)
SYNCSRCS := $(SYNCOBJS:%.o=%.cpp)
ANYCTRSRCS := $(ANYCTROBJS:%.o=%.cpp)
ANYCONFSRCS := $(ANYCONFOBJS:%.o=%.cpp)
EXESRCS := $(EXEOBJS:%.o=%.cpp)

.PHONY: distclean cleanall clean manpage install install-bin install-etc install-man uninstall remove purge remove-systemd install-systemd remove-bin remove-man remove-examples

all: $(EXECUTABLES) #libAnysync.a

%.d: %.cpp
	@set -e; rm -f $@;                                    \
   $(CXX) -MM $(CXXFLAGS) $< > $@.$$$$;                 \
   sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@;  \
   rm -f $@.$$$$; echo '(re)building $@'

ifneq ($(MAKECMDGOALS),distclean)
-include $(ANYTUNSRCS:%.cpp=%.d) $(ANYSHOWSRCS:%.cpp=%.d) $(SYNCSRCS:%.cpp=%.d) $(ANYCTRSRCS:%.cpp=%.d) $(ANYCONFSRCS:%.cpp=%.d) $(EXESRCS:%.cpp=%.d)
endif

strip: $(EXECUTABLES)
	$(STRIP) -s $(EXECUTABLES)

anytun$(EXE): $(ANYTUNOBJS) $(SYNCOBJS) anytun.o
	$(LD) $(ANYTUNOBJS) $(SYNCOBJS) anytun.o -o $@ $(LDFLAGS)

anytun-static: $(ANYTUNOBJS) $(SYNCOBJS) anytun-noprivdrop.o
	$(LD) $(ANYTUNOBJS) $(SYNCOBJS) anytun-noprivdrop.o -o $@ -Bstatic -lstdc++ -static $(LDFLAGS) -lpthread
	$(STRIP) -s anytun-static

anytun-nosync$(EXE): $(ANYTUNOBJS) anytun-nosync.o
	$(LD) $(ANYTUNOBJS) anytun-nosync.o -o $@ $(LDFLAGS)

anytun-nosync.o: anytun.cpp
	$(CXX) $(CXXFLAGS) -DANYTUN_NOSYNC $< -c -o anytun-nosync.o

anytun-showtables$(EXE): $(ANYSHOWOBJS) $(SYNCOBJS) anytun-showtables.o
	$(LD) $(ANYSHOWOBJS) $(SYNCOBJS) anytun-showtables.o -o $@ $(LDFLAGS)

anytun-config$(EXE): $(ANYCONFOBJS) anytun-config.o
	$(LD) $(ANYCONFOBJS) anytun-config.o -o $@ $(LDFLAGS)

anytun-controld$(EXE): $(ANYCTROBJS) anytun-controld.o
	$(LD) $(ANYCTROBJS) anytun-controld.o -o $@ $(LDFLAGS)


options.o: options.cpp
	$(CXX) $(CXXFLAGS) -DANYTUN_OPTIONS $< -c -o $@

anyCtrOptions.o: options.cpp
	$(CXX) $(CXXFLAGS) -DANYCTR_OPTIONS $< -c -o $@

anyConfOptions.o: options.cpp
	$(CXX) $(CXXFLAGS) -DANYCONF_OPTIONS $< -c -o $@

nullOptions.o: options.cpp
	$(CXX) $(CXXFLAGS) $< -c -o $@

%.o: %.cpp
	$(CXX) $(CXXFLAGS) $< -c -o $@


libAnysync.a: $(OBJS)
	ar cru $@ $(OBJS)
	ranlib $@

anyrtpproxy: anytun
	$(MAKE) --directory=$(CURDIR)/anyrtpproxy

distclean: cleanall
	find . -name *.o -exec rm -f {} \;
	rm -f config.sub config.guess
	rm -f daemonService.h
	rm -f daemonService.cpp
	rm -f signalHandler.hpp
	rm -f sysExec.hpp
	rm -f version.h
	rm -f tunDevice.cpp
	rm -f include.mk

cleanall: clean
	$(MAKE) --directory="../doc" clean

clean:
	rm -f *.o
	rm -f *.d
	rm -f *.d.*
	rm -f win32/*.o
	rm -f win32/*.d
	rm -f win32/*.d.*
	rm -f $(EXECUTABLES)
	rm -f *.exe
	rm -f anytun-nosync
	rm -f -r doc/html/*
	rm -f -r doc/latex/*
	rm -f libAnysync.a
	$(MAKE) --directory=$(CURDIR)/anyrtpproxy clean

manpage:
	$(MAKE) --directory="../doc" manpage


INSTALL_TARGETS := install-bin install-etc
REMOVE_TARGETS := remove-bin remove-etc

ifdef MANDIR
INSTALL_TARGETS += install-man
REMOVE_TARGETS += remove-man
endif

ifdef EXAMPLESDIR
INSTALL_TARGETS += install-examples
REMOVE_TARGETS += remove-examples
endif

ifdef SYSTEMDDIR
INSTALL_TARGETS += install-systemd
REMOVE_TARGETS := remove-systemd
endif

install: all $(INSTALL_TARGETS)

install-bin: $(EXECUTABLES)
	$(INSTALL) -d $(DESTDIR)$(SBINDIR)
	$(INSTALL) -m 755 anytun $(DESTDIR)$(SBINDIR)
	$(INSTALL) -d $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 755 anytun-config $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 755 anytun-controld $(DESTDIR)$(BINDIR)
	$(INSTALL) -m 755 anytun-showtables $(DESTDIR)$(BINDIR)
	$(INSTALL) -d $(DESTDIR)$(LIBDIR)
	@ sed -e 's#/usr/local/sbin#$(SBINDIR)#' -e 's#/usr/local/bin#$(BINDIR)#' \
        -e 's#/usr/local/etc#$(ETCDIR)#' ../usr/lib/anytun-launcher > ../usr/lib/anytun-launcher.bak
	$(INSTALL) -m 755 ../usr/lib/anytun-launcher.bak $(DESTDIR)$(LIBDIR)/anytun-launcher
	rm -f ../usr/lib/anytun-launcher.bak

install-etc:
	$(INSTALL) -d $(DESTDIR)$(ETCDIR)/anytun
	@ echo "example configurations can be found at $(EXAMPLESDIR)/anytun" > $(DESTDIR)$(ETCDIR)/anytun/README
	$(INSTALL) -d $(DESTDIR)$(ETCDIR)/init.d
	@ sed -e 's#/usr/local/bin#$(BINDIR)#' -e 's#/usr/local/lib#$(LIBDIR)#' -e 's#/usr/local/etc#$(ETCDIR)#' ../etc/init.d/anytun > ../etc/init.d/anytun.bak
	$(INSTALL) -m 755 ../etc/init.d/anytun.bak $(DESTDIR)$(ETCDIR)/init.d/anytun
	rm -f ../etc/init.d/anytun.bak

install-systemd:
	$(INSTALL) -d $(DESTDIR)$(SYSTEMDDIR)
	$(INSTALL) -m 644 ../usr/lib/systemd/system/anytun.service $(DESTDIR)$(SYSTEMDDIR)/anytun.service
	@ sed -e 's#/usr/local/lib#$(LIBDIR)#' ../usr/lib/systemd/system/anytun@.service > ../usr/lib/systemd/system/anytun@.service.bak
	@ sed -e 's#/usr/local/lib#$(LIBDIR)#' ../usr/lib/systemd/system/anytun-controld@.service > ../usr/lib/systemd/system/anytun-controld@.service.bak
	$(INSTALL) -m 644 ../usr/lib/systemd/system/anytun@.service.bak $(DESTDIR)$(SYSTEMDDIR)/anytun@.service
	$(INSTALL) -m 644 ../usr/lib/systemd/system/anytun-controld@.service.bak $(DESTDIR)$(SYSTEMDDIR)/anytun-controld@.service
	rm -f ../usr/lib/systemd/system/anytun@.service.bak
	rm -f ../usr/lib/systemd/system/anytun-controld@.service.bak
	$(INSTALL) -d $(DESTDIR)$(SYSTEMDGENERATORDIR)
	@ sed -e 's#/usr/local/etc#$(ETCDIR)#' ../usr/lib/systemd/system-generator/anytun-generator > ../usr/lib/systemd/system-generator/anytun-generator.bak
	$(INSTALL) -m 755 ../usr/lib/systemd/system-generator/anytun-generator.bak $(DESTDIR)$(SYSTEMDGENERATORDIR)/anytun-generator
	rm -f ../usr/lib/systemd/system-generator/anytun-generator.bak
	$(INSTALL) -d $(DESTDIR)$(TMPFILESDDIR)
	$(INSTALL) -m 644 ../usr/lib/tmpfiles.d/anytun.conf $(DESTDIR)$(TMPFILESDDIR)/anytun.conf

install-examples:
	$(INSTALL) -d $(DESTDIR)$(EXAMPLESDIR)/anytun
	$(INSTALL) -m 644 ../etc/anytun/autostart $(DESTDIR)$(EXAMPLESDIR)/anytun/autostart
	@( cd '../etc/anytun/' ;                                                                   \
     for dir in `ls`; do                                                                     \
       if [ -d $$dir ]; then                                                                 \
         echo "install $$dir configuration" ;                                                \
         cd $$dir ;                                                                          \
         $(INSTALL) -d $(DESTDIR)$(EXAMPLESDIR)/anytun/$$dir ;                               \
         $(INSTALL) -m 600 config $(DESTDIR)$(EXAMPLESDIR)/anytun/$$dir/config ;             \
         if [ -e 'post-up.sh' ]; then                                                        \
           $(INSTALL) -m 755 post-up.sh $(DESTDIR)$(EXAMPLESDIR)/anytun/$$dir/post-up.sh ;   \

=== debian/changelog ===
anytun (0.3.6-1ubuntu1) bionic; urgency=medium

  * Fix FTBFS, missing include.
  * Enable systemd integration.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 30 Oct 2017 23:01:02 +0000

anytun (0.3.6-1) unstable; urgency=medium

  [ Michael Prokop ]
  * [355b0cb] New maintainer, adding myself as Uploader
  * [2319dc9] Drop deprecated Vcs-* headers

  [ Darshaka Pathirana ]
  * [e6be7f2] Add depends on lsb-base to
    fix lintian warning init.d-script-needs-depends-on-lsb-base
  * [6428516] Bump debian compat version to 9
  * [010a339] Fix lintian error maintainer-script-lacks-debhelper-token
  * [6af0685] Bump Debian Standards-Version to 3.9.8 (no further changes)
  * [7cf79af] Add build targets build-arch + build-indep
  * [081c9d5] Bump build dependency on debhelper v9
  * [48df959] Add debian/source/format file, 3.0 (quilt)
  * [ad68eae] Update + convert debian/copyright to machine-readable deb5 format
  * [c0bc4ea] Add Vcs-* headers

 -- Darshaka Pathirana <dpat@syn-net.org>  Thu, 26 Jan 2017 01:59:48 +0100

anytun (0.3.6-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release Closes: #811834
  * Add watch file.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 18 Aug 2016 14:11:30 +0100

anytun (0.3.5-1) unstable; urgency=medium

  * [012bc15] Imported Upstream version 0.3.5
  * [ccd85ca] wrap-and-sort the debian directory
  * [b7ab5f3] Update dependency from libgcrypt11-dev to libgcrypt20-dev
    (Closes: #758997)

 -- Michael Prokop <mika@debian.org>  Fri, 29 Aug 2014 13:29:45 -0700

anytun (0.3.4-2) unstable; urgency=low

  * [bffd997] Fix typo in package description. Thanks to Sebastian
    Carneiro <scarneiro@fibertel.com.ar> for the patch (Closes: #675417)
  * [3287f84] Bump Standards-Version to 3.9.3.

 -- Michael Prokop <mika@debian.org>  Mon, 11 Jun 2012 16:49:05 +0200

anytun (0.3.4-1) unstable; urgency=low

  * [ef0cacf] Imported Upstream version 0.3.4, addressing the
    Boost.Asio io_service() -> get_io_service() change.
    [Closes: #652767]

 -- Michael Prokop <mika@debian.org>  Mon, 02 Jan 2012 11:10:27 +0100

anytun (0.3.3-3) unstable; urgency=low

  * [7044496] Sync src/configure with upstream and patch from #615691
    to address the "ftbfs with gold or ld --no-add-needed" issue.
    Thanks to Ilya Barygin <barygin@gmail.com> for the patch and
    Daniel T Chen <seven.steps@gmail.com> for forwarding to Debian BTS
    (Closes: #615691)
  * [13f624c] Bump standards version to 3.9.2

 -- Michael Prokop <mika@debian.org>  Thu, 29 Dec 2011 11:56:35 +0100

anytun (0.3.3-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * control: Switch to non-versioned boost build-dependencies.
    [Closes: #630433]

 -- Steve M. Robbins <smr@debian.org>  Fri, 22 Jul 2011 23:59:29 -0500

anytun (0.3.3-2) unstable; urgency=low

  * Bump Build-Depends from Boost 1.40 to 1.42 (thanks to
    Steve M. Robbins for bringing up).
  * Drop unnecessary autotools-dev from Build-Depends.

 -- Michael Prokop <mika@debian.org>  Thu, 06 May 2010 00:32:44 +0200

anytun (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.4 (no further changes).
  * Add $remote_fs to Required-{Start,Stop} in initscript.

 -- Michael Prokop <mika@debian.org>  Wed, 17 Feb 2010 02:41:13 +0100

anytun (0.3.2-2) unstable; urgency=low

  * Apply patch by Cyril Brulebois to fix FTBFS on GNU/kFreeBSD.
    Thanks! [Closes: #561421]
  * Drop asciidoc and related packages from build-depends and ship
    manpages statically instead. Upstream will ship manpages in
    next release through the tarball. [Closes: #561381]

 -- Michael Prokop <mika@debian.org>  Wed, 23 Dec 2009 01:48:48 +0100

anytun (0.3.2-1) unstable; urgency=low

  * Initial release. [Closes: #531077]

 -- Michael Prokop <mika@debian.org>  Mon, 14 Dec 2009 02:08:25 +0100

=== debian/control ===
Source: anytun
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Darshaka Pathirana <dpat@syn-net.org>
Uploaders: Michael Prokop <mika@debian.org>
Build-Depends: debhelper (>= 9~),
               libboost-regex-dev,
               libboost-serialization-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libgcrypt20-dev,
               pkg-config,
               systemd
Homepage: http://www.anytun.org/
Standards-Version: 3.9.8
Vcs-git: git://git.syn-net.org/debian/anytun.git
Vcs-Browser: https://git.syn-net.org/debian/?p=anytun.git

Package: anytun
Architecture: any
Depends: adduser,
         lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: quagga
Description: secure anycast tunneling protocol
 Anytun is an implementation of the secure anycast tunneling protocol. It
 uses an easy openvpn style interface and makes it possible to build
 redundant VPN clusters with load balancing between servers. VPN servers
 share a single IP address. Adding and removing VPN Servers is done by the
 routing protocol, so no client changes have to be made when additional VPN
 servers are added or removed. It is possible to realise global load
 balancing based on shortest BGP routes by simply announcing the address
 space of the tunnel servers at multiple locations.
 .
 Currently ethernet, ipv4 and ipv6 tunnels are supported by the
 implementation. However the protocol allows one to tunnel every ETHERTYPE
 protocol.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd src && ./configure --no-manpage --prefix=/usr --sysconfdir=/etc --examplesdir=/usr/share/anytun/examples && cd ..
	touch configure-stamp

build: build-arch build-indep

build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp
	dh_testdir

	cd src && $(MAKE) && cd ..

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) --directory=$(CURDIR)/src distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs

	# Add here commands to install the package into debian/anytun.
	cd src && $(MAKE) DESTDIR=$(CURDIR)/debian/anytun install && cd ..
	# Fix unusual path:
	mv debian/anytun/usr/share/anytun/examples/anytun debian/anytun/usr/share/anytun/examples/config
	echo "example configurations can be found at /usr/share/anytun/examples/config" > debian/anytun/etc/anytun/README

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installman doc/anytun.8 doc/anytun-config.8 doc/anytun-controld.8 doc/anytun-showtables.8
	dh_installexamples
	dh_systemd_enable anytun.service
	dh_installinit
	dh_link
	dh_strip
	dh_compress
	mkdir -p debian/anytun/usr/share/lintian/overrides/
	cp -av debian/overrides debian/anytun/usr/share/lintian/overrides/anytun
	dh_fixperms
	find debian/anytun -type f -name config     -exec chmod 600 {} \;
	find debian/anytun -type f -name post-up.sh -exec chmod 755 {} \;
	chmod 600 debian/anytun/usr/share/anytun/examples/config/server/conf.d/*
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## anytun 0.3.7

=== debian/changelog ===
anytun (0.3.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS against boost1.67. (Closes: #913980)

 -- Anton Gladky <gladk@debian.org>  Sat, 17 Nov 2018 22:21:25 +0100

anytun (0.3.7-1) unstable; urgency=medium

  * [6294e1d] New upstream version 0.3.7
    - Fix FTBFS with GCC-8 (Closes: #897704)
  * [627ba33] Fix spelling errors in man page
  * [cb2ecde] Update Debian copyright file
  * [74b165b] Bump Debian Standards-Version to 4.1.5
  * [9e924f4] Update debian/rules file
  * [635dc05] Enable systemd integration (Closes: #880371)
    - Thanks to Dimitri John Ledkov for the patch.
  * [455cf82] Update to debhelper 11 and bump debian compat to version 11
  * [eadcba6] Replace dh_systemd_enable with dh_installsystemd
  * [2ca4e31] Ignore quilt .pc directory
  * [98b9d22] Remove 0002-Enable-systemd-integration.patch relict
  * [70946f9] Update Debian copyright file and add GPL-3+ with OpenSSL exception
  * [1ede2f4] Change Vcs-* to salsa.debian.org (gitlab)

 -- Darshaka Pathirana <dpat@syn-net.org>  Mon, 23 Jul 2018 15:12:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: anytun
 Section: net
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Darshaka Pathirana <dpat@syn-net.org>
+Priority: optional
+Maintainer: Darshaka Pathirana <dpat@syn-net.org>
 Uploaders: Michael Prokop <mika@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                libboost-regex-dev,
                libboost-serialization-dev,
                libboost-system-dev,
@@ -13,9 +12,9 @@
                pkg-config,
                systemd
 Homepage: http://www.anytun.org/
-Standards-Version: 3.9.8
-Vcs-git: git://git.syn-net.org/debian/anytun.git
-Vcs-Browser: https://git.syn-net.org/debian/?p=anytun.git
+Standards-Version: 4.1.5
+Vcs-git: https://salsa.debian.org/debian/anytun.git
+Vcs-Browser: https://salsa.debian.org/debian/anytun
 
 Package: anytun
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,17 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-# Sample debian/rules that uses debhelper.
-# This file was originally written by Joey Hess and Craig Small.
-# As a special exception, when this file is copied by dh-make into a
-# dh-make output file, you may use that output file without restriction.
-# This special exception was added by Craig Small in version 0.37 of dh-make.
+# See debhelper(7) (uncomment to enable)
+# output every command that modifies files on the build system.
+#export DH_VERBOSE = 1
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
+# see FEATURE AREAS in dpkg-buildflags(1)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# see ENVIRONMENT in dpkg-buildflags(1)
+# package maintainers to append CFLAGS
+#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+# package maintainers to append LDFLAGS
+#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
 
 configure: configure-stamp
 configure-stamp:
@@ -59,7 +63,7 @@
 	dh_installdocs
 	dh_installman doc/anytun.8 doc/anytun-config.8 doc/anytun-controld.8 doc/anytun-showtables.8
 	dh_installexamples
-	dh_systemd_enable anytun.service
+	dh_installsystemd anytun.service
 	dh_installinit
 	dh_link
 	dh_strip

## anytun 0.3.8

=== src/Makefile ===
--- 
+++ 
@@ -177,7 +177,7 @@
 
 %.d: %.cpp
 	@set -e; rm -f $@;                                    \
-   $(CXX) -MM $(CXXFLAGS) $< > $@.$$$$;                 \
+   $(CXX) -MM $(CPPFLAGS) $< > $@.$$$$;                 \
    sed 's,\($*\)\.o[ :]*,\1.o $@ : ,g' < $@.$$$$ > $@;  \
    rm -f $@.$$$$; echo '(re)building $@'
 
@@ -199,7 +199,7 @@
 	$(LD) $(ANYTUNOBJS) anytun-nosync.o -o $@ $(LDFLAGS)
 
 anytun-nosync.o: anytun.cpp
-	$(CXX) $(CXXFLAGS) -DANYTUN_NOSYNC $< -c -o anytun-nosync.o
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -DANYTUN_NOSYNC $< -c -o anytun-nosync.o
 
 anytun-showtables$(EXE): $(ANYSHOWOBJS) $(SYNCOBJS) anytun-showtables.o
 	$(LD) $(ANYSHOWOBJS) $(SYNCOBJS) anytun-showtables.o -o $@ $(LDFLAGS)
@@ -212,19 +212,19 @@
 
 
 options.o: options.cpp
-	$(CXX) $(CXXFLAGS) -DANYTUN_OPTIONS $< -c -o $@
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -DANYTUN_OPTIONS $< -c -o $@
 
 anyCtrOptions.o: options.cpp
-	$(CXX) $(CXXFLAGS) -DANYCTR_OPTIONS $< -c -o $@
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -DANYCTR_OPTIONS $< -c -o $@
 
 anyConfOptions.o: options.cpp
-	$(CXX) $(CXXFLAGS) -DANYCONF_OPTIONS $< -c -o $@
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -DANYCONF_OPTIONS $< -c -o $@
 
 nullOptions.o: options.cpp
-	$(CXX) $(CXXFLAGS) $< -c -o $@
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $< -c -o $@
 
 %.o: %.cpp
-	$(CXX) $(CXXFLAGS) $< -c -o $@
+	$(CXX) $(CPPFLAGS) $(CXXFLAGS) $< -c -o $@
 
 
 libAnysync.a: $(OBJS)
@@ -335,4 +335,3 @@
          $(INSTALL) -d $(DESTDIR)$(EXAMPLESDIR)/anytun/$$dir ;                               \
          $(INSTALL) -m 600 config $(DESTDIR)$(EXAMPLESDIR)/anytun/$$dir/config ;             \
          if [ -e 'post-up.sh' ]; then                                                        \
-           $(INSTALL) -m 755 post-up.sh $(DESTDIR)$(EXAMPLESDIR)/anytun/$$dir/post-up.sh ;   \

=== debian/changelog ===
anytun (0.3.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace systemd Build-Depends with systemd-dev (Closes: #1065386)

 -- Michael Biebl <biebl@debian.org>  Wed, 17 Jul 2024 15:12:59 +0200

anytun (0.3.8-1) unstable; urgency=medium

  [ Darshaka Pathirana ]
  * [f727d6d] New upstream version 0.3.8
    - Fix FTBFS with boost1.71 (Closes: #948281)
  * [109f940] Remove patches which have been integrated into v0.3.8
  * [ad05e83] Create patch to fix two typos in the documentation
  * [326bc57] Bump Debian Standards-Version to 4.4.1 (no further changes)
  * [cd7ac42] Update year specification of the Copyright-field to 2020
  * [d2a8b5c] Add patch to fix a lintian warning
  * [12d3965] Bump Debian Standards-Version to 4.5.1 (no further changes)
  * [b9e988c] Fix FTCBFS: Pass --cross-prefix to configure.
    Thanks to Helmut Grohne <helmut@subdivi.de> for the patch (Closes: #978061)
  * [b460902] d/s/lintian-overrides: Add source-contains-prebuilt-windows-binary override

  [ Anton Gladky ]
  * [386f4e8] Add .gitlab-ci.yml
  * [5e1462f] Sync from archive
  * [0aff52e] Fix FTBFS against boost1.74. (Closes: #977219)
  * [07f0bd8] Update changelog.
  * [8311394] Update changelog.
  * [cb4acd0] Allow blhc-test to fail

 -- Darshaka Pathirana <dpat@syn-net.org>  Fri, 05 Feb 2021 13:23:34 +0100

anytun (0.3.7-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * [0aff52e] Fix FTBFS against boost1.74. (Closes: #977219)

 -- Anton Gladky <gladk@debian.org>  Mon, 14 Dec 2020 18:02:37 +0100

anytun (0.3.7-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/20_fix-build-with-boost1.71.patch: added to fix FTBFS
    against boost1.71. Thanks Giovanni Mascellani. (Closes: #948281)

 -- Fabio Augusto De Muzio Tobich <ftobich@gmail.com>  Mon, 08 Jun 2020 14:11:32 -0300

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                libboost-thread-dev,
                libgcrypt20-dev,
                pkg-config,
-               systemd
+               systemd-dev
 Homepage: http://www.anytun.org/
-Standards-Version: 4.1.5
+Standards-Version: 4.5.1
 Vcs-git: https://salsa.debian.org/debian/anytun.git
 Vcs-Browser: https://salsa.debian.org/debian/anytun

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 # See debhelper(7) (uncomment to enable)
 # output every command that modifies files on the build system.
 #export DH_VERBOSE = 1
+
+include /usr/share/dpkg/architecture.mk
 
 # see FEATURE AREAS in dpkg-buildflags(1)
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -16,7 +18,7 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	cd src && ./configure --no-manpage --prefix=/usr --sysconfdir=/etc --examplesdir=/usr/share/anytun/examples && cd ..
+	cd src && ./configure --no-manpage --prefix=/usr --sysconfdir=/etc --examplesdir=/usr/share/anytun/examples --cross-prefix=${DEB_HOST_GNU_TYPE}- && cd ..
 	touch configure-stamp
 
 build: build-arch build-indep
@@ -68,8 +70,7 @@
 	dh_link
 	dh_strip
 	dh_compress
-	mkdir -p debian/anytun/usr/share/lintian/overrides/
-	cp -av debian/overrides debian/anytun/usr/share/lintian/overrides/anytun
+	dh_lintian
 	dh_fixperms
 	find debian/anytun -type f -name config     -exec chmod 600 {} \;
 	find debian/anytun -type f -name post-up.sh -exec chmod 755 {} \;
